Subject: bug#64768: biblatex detection in reftex is too naive, multiple bib files are problematic

From: "Philipp G. Haselwarter" <[email-masked]>
Date: Fri, 28 Jul 2023 11:58:32 +0200

Hi Arash,

In main.tex, I have the line "\input{mypreamble}", and in mypreamble.tex,
there's a line with "\usepackage{biblatex}". I also have
several "\addbibresource{foo.bib}", "\addbibresource{bar.bib}", etc, either
in main.tex or in mypreamble.tex . I would want reftex to be aware of the
references in foo.bib and bar.bib whenever main.tex is set as TeX-master,
i.e. either while editing main.tex directly or while editing
some-section.tex, where some-section.tex sets TeX-master to main.tex.

Best,
Philipp

On Thu, 27 Jul 2023 at 21:10, Arash Esbati <[email-masked]> wrote:

> "Philipp G. Haselwarter" <[email-masked]> writes:
>
> > To find .bib files, reftex uses `reftex-locate-bibliography-files',
> > which in turn checks whether bibtex is in use via
> > `reftex-using-biblatex-p'. The latter is too naïve: it only checks if
> > "biblatex" is amongst the `TeX-active-styles' or does a simple
> > syntactic check of the current buffer. In case \usepackage{biblatex}
> > is loaded in, say, an included file, these checks fail, and the use of
> > biblatex is not detected.
>
> Can you please describe what you exactly mean with
> '\usepackage{biblatex} is an included file'?  I'd like to understand
> your setup.
>
> Best, Arash
>